
// The following ifdef block is the standard way of creating macros which make exporting 
// from a DLL simpler. All files within this DLL are compiled with the JUKEPLUGIN_EXPORTS
// symbol defined on the command line. this symbol should not be defined on any project
// that uses this DLL. This way any other project whose source files include this file see 
// JUKEPLUGIN_API functions as being imported from a DLL, wheras this DLL sees symbols
// defined with this macro as being exported.
#ifdef JUKEPLUGIN_EXPORTS
#define JUKEPLUGIN_API __declspec(dllexport)
#else
#define JUKEPLUGIN_API __declspec(dllimport)
#endif

typedef struct 
{
	char Name[256];
	char Author[256];
	char Version[256];
} PluginInfo;

typedef struct 
{
	char Name[256];
	char Artist[256];
	char Album[256];
} SongInfo;

JUKEPLUGIN_API int __stdcall Juke_GetPluginInfo(PluginInfo *pluginInfo);
JUKEPLUGIN_API int __stdcall Juke_SongStart(SongInfo *songInfo);
JUKEPLUGIN_API int __stdcall Juke_SongEnd(SongInfo *songInfo);
